//Ex5_28.cpp
#include "iostream" 
using namespace std;
bool huiwen(int n); //判别n是否为回文函数原型 
void main() 
{for(int i=1000;i<=2000;i++)  
   if(huiwen(i)) cout<<i<<'\t'; 
   cout<<endl; 
} 

bool huiwen(int n) //判别n是否为回文函数 
{int k,m=0; 
 k=n;
 while(k)
	{m=m*10+k%10;
	 k=k/10;}
  return (m==n); 
}
